org.eclipse.jetty.security

## Class DefaultAuthenticatorFactory

- java.lang.Object
- - org.eclipse.jetty.security.DefaultAuthenticatorFactory

All Implemented Interfaces:
  Authenticator.Factory

Direct Known Subclasses:
  JaspiAuthenticatorFactory

    public class DefaultAuthenticatorFactory
    extends Object
    implements Authenticator.Factory

The Default Authenticator Factory. Uses the `Authenticator.AuthConfiguration.getAuthMethod()` to select an `Authenticator` from:

- `BasicAuthenticator`
- `DigestAuthenticator`
- `FormAuthenticator`
- `ClientCertAuthenticator`

All authenticators derived from `LoginAuthenticator` are wrapped with a `DeferredAuthentication` instance, which is used if authentication is not mandatory. The Authentications from the `FormAuthenticator` are always wrapped in a `SessionAuthentication`

If a `LoginService` has not been set on this factory, then the service is selected by searching the `AggregateLifeCycle.getBeans(Class)` results for a service that matches the realm name, else the first LoginService found is used.

### Constructor Summary

Constructors
Constructor and Description
`DefaultAuthenticatorFactory()`

### Method Summary

Methods
`Authenticator` `getAuthenticator(Server server, javax.servlet.ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`
`LoginService` `getLoginService()`
`void` `setLoginService(LoginService loginService)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultAuthenticatorFactory

    public DefaultAuthenticatorFactory()

### Method Detail

#### getAuthenticator

    public Authenticator getAuthenticator(Server server,
                                 javax.servlet.ServletContext context,
                                 Authenticator.AuthConfiguration configuration,
                                 IdentityService identityService,
                                 LoginService loginService)

Specified by:
  `getAuthenticator` in interface `Authenticator.Factory`

#### getLoginService

    public LoginService getLoginService()

Returns:
  the loginService

#### setLoginService

    public void setLoginService(LoginService loginService)

Parameters:
  `loginService` - the loginService to set